package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum SubjectChangeStatusEnum implements BaseEnum<Integer, SubjectChangeStatusEnum> {

    CANCELED(-1, "已取消"),
    WAIT_PAY(0, "待支付"),
    ING(1, "支付中"),
    SUCCESSED(2, "已支付");

    private Integer code;

    private String desc;

    private SubjectChangeStatusEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

}
